---
title: 'XRSession: end event'
slug: Web/API/XRSession/end_event
tags:
  - API
  - AR
  - End
  - Event end
  - Finish
  - Mixed
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR Device API
  - XR
  - XRSession
  - augmented
  - events
  - stop
  - terminate
---
<div>{{APIRef("WebXR Device API")}}</div>

<p><span class="seoSummary">An <code>end</code> event is fired at an {{DOMxRef("XRSession")}} object when the WebXR session has ended, either because the web application has chosen to stop the session, or because the {{Glossary("user agent")}} terminated the session.</span></p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{DOMxRef("XRSessionEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler</th>
   <td>{{DOMxRef("XRSession.onend")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<p>To be informed when a WebXR session comes to an end, you can add a handler to your {{domxref("XRSession")}} instance using {{domxref("EventTarget.addEventListener", "addEventListener()")}}, like this:</p>

<pre class="brush: js">XRSession.addEventListener("end", function(event) {
  /* the session has shut down */
});</pre>

<p>Alternatively, you can use the {{DOMxRef("XRSession.onend")}} event handler property to establish a handler for the <code>end</code> event:</p>

<pre class="brush: js">XRSession.onend = function(event) {
 /* the session has shut down */
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#eventdef-xrsession-end","end event")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XRSession.end_event")}}</p>
